DM OUT 'CLEAR';
DM LOG 'CLEAR';

libname face 'u:\Rebecca\Data and SAS\FACE\';
proc format library = face;

value $type
'S' = 'State'
'I' = 'National';

value ager
LOW-18 	= "Younger than 18"
18-25	= "18-25"
26-35	= "26-35"
36-45	= "36-45"
46-55	= "46-55"
56-65	= "56-65"
66-HIGH	= "Older than 65"
.		= "Age unknown";

value $sex 
'1'='Male' 
'2'='Female'
'3'='Not Reported';

value $race 
'1'='White, non-Hispanic' 
'2'='Black, non-Hispanic'
'3'='Hispanic' 
'4'='Asian' 
'5'='Native American'
'6'='Other' 
'7'='Unknown';

value $foreign
'1'='Foreign-born'
'2'='Native-born'
'3'='Not reported';

value $occode
'017','17'=	  "017-Managers, food serving and lodging establishments"
'035','35'=	  "035-Construction inspectors"
'037','37'=	  "037-Management related occupations, not elsewhere classified"
'059','59'=    "059-Engineers, not elsewhere classified"
'063','63'=	  "063-Surveyors and mapping scientists"
'216'=    "216-Engineering technicians, not elsewhere classified"
'235'=    "235-Technicians, not elsewhere classified"
'365'=    "365-Stock and inventory clerks"
'418'=    "418-Police and detectives, public service"
'453'=    "453-Janitors and cleaners"
'454'=    "454-Elevator operators"
'473'=	  "473-Farmers, except horticultural"
'486'=	  "486-Groundskeepers and gardeners, except farm"
'503'=    "503-Supervisor, mechanics and repairers"
'505'=    "505-Automobile mechanics"
'507'=	  "507-Bus, truck, and stationary engine mechanics"
'516'=    "516-Heavy equipment mechanics"
'527'=    "527-Telephone line installers and repairers"
'534'=    "534-Heating, air conditioning, and refrigeration mechanics"
'543'=    "543-Elevator installers and repairers"
'547'=    "547-Specified mechanics and repairers, not elsewhere classified"
'549'=    "549-Not specified mechanics and repairers"
'553'=    "553-Supervisors, brickmasons,stonemasons, tile setters"
'554'=    "554-Supervisors, carpenters and related workers"
'555'=    "555-Supervisors, electricians, power transmission installers"
'556'=    "556-Supervisors, painters, paperhangers, and plasters"
'557'=    "557-Supervisors, plumbers, pipefitters, and steamfitters"
'558'=	  "558-Supervisors, construction, not elsewhere classified"
'563'=	  "563-Brickmasons and stonemasons"
'565'=    "565-Tile setters, hard and soft"
'566'=    "566-Carpet installers"
'567'=	  "567-Carpenters"
'573'=    "573-Drywall installers"
'575'=	  "575-Electricians"
'576'=    "576-Electrician apprentices"
'577'=    "577-Electrical power installers and repairs"
'579'=	  "579-Painters, construction and maintenance"
'584'=	  "584-Plasterers"
'585'=	  "585-Plumbers, pipefitters, and steamfitters"
'587'=	  "587-Plumber, pipefitter, and steamfitter apprentices"
'588'=	  "588-Concrete and terrazzo finishers"
'589'=	  "589-Glaziers"
'593'=	  "593-Insulation workers"
'594'=	  "594-Paving, surfacing, and tamping equipment operators"
'595'=	  "595-Roofers"
'596'=	  "596-Sheetmetal duct installers"
'597'=	  "597-Structural metal workers"
'598'=	  "598-Drillers, earth"
'599'=	  "599-Construction trades, not elsewhere classified"
'637'=	  "637-Machinists"
'643'=	  "643-Boilermakers"
'653'=	  "653-Sheetmetal workers"
'654'=    "654-Sheetmetal worker apprentices"
'655'=	  "655-Miscellaneous precision metal workers"
'705'=	  "705-Milling and planing machine operators"
'708'=	  "708-Drilling and boring machine operators"
'727'=	  "727-Sawing machine operators"
'758'=	  "758-Compressing and compacting machine operators"
'768'=	  "768-Crushing and grinding machine operators"
'783'=	  "783-Welders and cutters"
'804'=	  "804-Truck drivers"
'843'=	  "843-Supervisors, material moving equipment operators"
'844'=	  "844-Operating engineers"
'849'=	  "849-Crane and tower operators"
'853'=	  "853-Excavating and loading machine operators"
'855'=	  "855-Grader, dozer, and scraper operators"
'856'=	  "856-Industrial truck and tractor equipment operators"
'859'=	  "859-Miscellaneous material moving equipment operators"
'864'=    "864-Supervisors, handlers, equipment cleaners, laborers, not elsewhere classified"
'865'=    "865-Helpers, mechanics and repairers"
'866'=	  "866-Helpers, construction trades"
'868'=    "868-Helpers, extractive occupations"
'869'=    "869-Construction laborer"
'999'=    "999-Unknown, Not Reported";

value $naturer /*(default=40)*/
'10','12','13','18' 		= "Traumatic injuries to bones, nerves, spinal cord"
'30','31','34','37','39'	= "Open wounds"
'50','52','53','59'			= "Burns"
'60','61','68','69'			= "Intracranial injuries"
'80','84','86','89'			= "Multiple traumatic injuries & disorders"
'91'						= "Asphyxiations/strangulations, suffocations"
'92'						= "Drownings"
'93'						= "Electrocutions, electric shocks"
'94'						= "Internal injuries of the trunk"
'959'						= "Poisonings & toxic effects"
'0','720','721','729','971' = "Traumatic injuries & disorders, n.e.c.";

value $body /*(default=40)*/
'0'		="00-Head, unspecified"
'10'	="01*-Cranial region, including skull and neck"
'11'	="01*-Cranial region, including skull and neck"
'13'	="01*-Cranial region, including skull and neck"
'18'	="01*-Cranial region, including skull and neck"
'19'	="01*-Cranial region, including skull and neck"
'220'	="220-Chest, except internal location of diseases or disorders" 
'23'	="23-Back, including spine, spinal cord"
'24'	="24*-Abdomen"
'240'	="24*-Abdomen"
'2461'	="24*-Abdomen"
'250'	="25*-Pelvic region"
'252'	="25*-Pelvic region"
'254'	="25*-Pelvic region"
'40'	="4*-Lower extremities"
'410'	="4*-Lower extremities"
'413'	="4*-Lower extremities"
'5'		="5-Body systems"
'8'		="8-Multiple body parts";

value $source /*(default=30)*/
	'391'	='0391-Nitro hydrocarbons'
	'929'	='0929-Cryogenic gases, n.e.c.'
	'941'	='0941-Carbon monoxide'
	'963'	='0963-Sewer gas'
	'972'	='0972-Hydrogen sulfide'
	'111'	='1*-Containers'
	'112'	='1*-Containers'
	'114'	='1*-Containers'
	'118'	='1*-Containers'
	'131'	='1*-Containers'
	'233'	='233-Chair'
	'3210'	='32*-Construction, logging, and mining machinery'
    '3211'	='32*-Construction, logging, and mining machinery'
	'3212'	='32*-Construction, logging, and mining machinery'
	'3214'	='32*-Construction, logging, and mining machinery'
	'3219'	='32*-Construction, logging, and mining machinery'
	'3221'	='32*-Construction, logging, and mining machinery'
	'3223'	='32*-Construction, logging, and mining machinery'
	'3229'	='32*-Construction, logging, and mining machinery'
	'3231'	='32*-Construction, logging, and mining machinery'
	'3241'	='32*-Construction, logging, and mining machinery'
	'3243'	='32*-Construction, logging, and mining machinery'
	'3251'	='32*-Construction, logging, and mining machinery'
	'3252'	='32*-Construction, logging, and mining machinery'
	'3254'	='32*-Construction, logging, and mining machinery'
	'3291'	='32*-Construction, logging, and mining machinery'
	'3292'	='32*-Construction, logging, and mining machinery'
	'3293'	='32*-Construction, logging, and mining machinery'
	'3299'	='32*-Construction, logging, and mining machinery'
	'3311'	='3311-Air conditioning units'
	'3421'	='34*-Material handling machinery'
	'3430'	='34*-Material handling machinery'
	'3431'	='34*-Material handling machinery'
	'3432'	='34*-Material handling machinery'
	'3434'	='34*-Material handling machinery'
	'3437'	='34*-Material handling machinery'
	'3439'	='34*-Material handling machinery'
	'3460'	='34*-Material handling machinery'
	'3461'	='34*-Material handling machinery'
	'3463'	='34*-Material handling machinery'
	'3464'	='34*-Material handling machinery'
	'3466'	='34*-Material handling machinery'
	'3471'	='34*-Material handling machinery'
	'3523'	='352*-Boring, drilling, planing, milling machinery'
	'3524'	='352*-Boring, drilling, planing, milling machinery'
	'3996'	='3996-Street sweeping and cleaning machinery'
	'4111'	='41*-Building materials-solid elements'
	'4112'	='41*-Building materials-solid elements'
	'4113'	='41*-Building materials-solid elements'
	'4121'	='41*-Building materials-solid elements'
	'4123'	='41*-Building materials-solid elements'
	'4129'	='41*-Building materials-solid elements'
	'4130'	='41*-Building materials-solid elements'
	'4132'	='41*-Building materials-solid elements'
	'4133'	='41*-Building materials-solid elements'
	'4135'	='41*-Building materials-solid elements'
	'4137'	='41*-Building materials-solid elements'
	'4139'	='41*-Building materials-solid elements'
	'4150'	='41*-Building materials-solid elements'
	'4151'	='41*-Building materials-solid elements'
	'4152'	='41*-Building materials-solid elements'
	'4159'	='41*-Building materials-solid elements'
	'4191'	='41*-Building materials-solid elements'
	'4199'	='41*-Building materials-solid elements'
	'4219'	='4219-Fasteners, n.e.c.'
	'439'	='439-Hoisting accessories, n.e.c.'
	'4410'	='441*-Electric parts'
	'4411'	='441*-Electric parts'
	'4412'	='441*-Electric parts'
	'4415'	='4415-Power lines, transformers, convertors'
	'4417'	='441*-Electric parts'
	'4419'	='441*-Electric parts'
	'459'	='459-Metal materials-nonstructural, n.e.c.'
	'461'	='461-Asphalt, roofing tar'
	'4813'	='48*-Vehicle and mobile equipment parts'
	'4829'	='48*-Vehicle and mobile equipment parts'
	'489'	='48*-Vehicle and mobile equipment parts'
	'555'	='555-Rocks, crushed stone'
    '620'	='62*-Floors, walkways, ground surfaces'
	'6220'	='62*-Floors, walkways, ground surfaces'
	'6221'	='62*-Floors, walkways, ground surfaces'
	'6222'	='62*-Floors, walkways, ground surfaces'
	'6224'	='62*-Floors, walkways, ground surfaces'
	'6229'	='62*-Floors, walkways, ground surfaces'
	'623'	='62*-Floors, walkways, ground surfaces'
	'624'	='62*-Floors, walkways, ground surfaces'
	'6251'	='62*-Floors, walkways, ground surfaces'
	'6252'	='62*-Floors, walkways, ground surfaces'
	'6259'	='62*-Floors, walkways, ground surfaces'
	'626'	='62*-Floors, walkways, ground surfaces'
	'6271'	='62*-Floors, walkways, ground surfaces'
	'6279'	='62*-Floors, walkways, ground surfaces'
	'628'	='62*-Floors, walkways, ground surfaces'
	'629'	='62*-Floors, walkways, ground surfaces'
	'6292'	='62*-Floors, walkways, ground surfaces'
	'6299'	='62*-Floors, walkways, ground surfaces'
	'632'	='63*-Other structural elements'
	'634'	='63*-Other structural elements'
	'635'	='63*-Other structural elements'
	'637'	='63*-Other structural elements'
	'639'	='63*-Other structural elements'
	'6443'	='6443-Sewers, manholes, storm drains'
	'6461'	='646*-Scaffolds, staging'
	'6462'	='646*-Scaffolds, staging'
	'647'	='647-Towers, poles'
	'6483'	='6483-Wells'
	'69'	='69-Structures and surfaces, n.e.c.'
	'7191'	='7*-Tools, instruments, and equipment'
	'7192'	='7*-Tools, instruments, and equipment'
	'7224'	='7*-Tools, instruments, and equipment'
	'7299'	='7*-Tools, instruments, and equipment'
	'741'	='7*-Tools, instruments, and equipment'
	'820'	='82*-Highway vehicle, motorized'
	'821'	='82*-Highway vehicle, motorized'
	'822'	='82*-Highway vehicle, motorized'
	'8250'	='825* Truck'
	'8251'	='825* Truck'
	'8252'	='825* Truck'
	'8253'	='825* Truck'
	'8254'	='825* Truck'
	'8259'	='825* Truck'
	'851'	='851*-Forklift'
	'8510'	='851*-Forklift'
	'8512'	='851*-Forklift'
	'8519'	='851*-Forklift'
	'853'	='853-Tractor'
	'9340'	='934*-Fire, flame, smoke'
	'9341'	='934*-Fire, flame, smoke'
	'9362'	='936*-Temperature extremes-environmental'
	'950'	='95*-Scrap, waste, debris'
	'959'	='95*-Scrap, waste, debris'
	'9621'	='9621-Water';

value $event /*(default=50)*/
'19'	='019-Struck against object or equipment, n.e.c.'
'21'	='02*-Struck by object or equipment'
'22'	='02*-Struck by object or equipment'
'221'	='02*-Struck by object or equipment'
'222'	='02*-Struck by object or equipment'
'229'	='02*-Struck by object or equipment'
'23'	='02*-Struck by object or equipment'
'230'='02*-Struck by object or equipment'
'239'	='02*-Struck by object or equipment'
'24'	='02*-Struck by object or equipment'
'29'	='02*-Struck by object or equipment'
'30'	='03*-Caught in or compressed by equipment or objects'
'31'	='03*-Caught in or compressed by equipment or objects'
'32'	='03*-Caught in or compressed by equipment or objects'
'39'	='03*-Caught in or compressed by equipment or objects'
'41'	='041-Excavation or trenching cave-in'
'44'	='044-Caught in or crushed in collapsing structure'
'59'	='059-Rubbed or abraded by friction or pressure, n.e.c.'
'1121'	='1121-Fall through existing floor opening'
'1122'	='1122-Fall through floor surface'
'1124' 	='1124-Fall from ground level to lower level'
'113'	='113-Fall from ladder'
'1151'	='1151-Fall through existing roof opening'
'1152'	='1152-Fall through roof surface'
'1153' 	='1153-Fall through skylight'
'1154' 	='1154-Fall from roof edge'
'116'	='116-Fall from scaffold, staging'
'117'	='117-Fall from building girders or other structural steel'
'118'	='118-Fall from nonmoving vehicle'
'119'	='119-Fall to lower level, n.e.c.'
'311'	='311-Contact with electric current of machine, tool, appliance, or light fixture'
'312'	='312-Contact with wiring, transformers, or other electrical components'
'313'	='313-Contact with overhead power lines'
'314'	='314-Contact with underground, buried power lines'
'321'	='32*-Contact with temperature extremes'
'323'	='32*-Contact with temperature extremes'
'3411'	='3411-Inhalation in confined space'
'381'	='381-Drowning, submersion'
'384'	='384-Depletion of oxygen in confined space'
'4112'	='41*-Highway accident'
'4113'	='41*-Highway accident'
'4141'	='41*-Highway accident'
'421'	='42*-Nonhighway accident, except rail, air, water'
'422'	='42*-Nonhighway accident, except rail, air, water'	
'4232'	='42*-Nonhighway accident, except rail, air, water'
'4233'	='42*-Nonhighway accident, except rail, air, water'
'4239'	='42*-Nonhighway accident, except rail, air, water'
'431'	='43*-Pedestrian, nonpassenger struck by vehicle, mobile equipment'
'432'	='43*-Pedestrian, nonpassenger struck by vehicle, mobile equipment'
'433'	='43*-Pedestrian, nonpassenger struck by vehicle, mobile equipment'
'511'	='511-Fire in residence, building, or other structure'
'522'	='52*-Explosion'
'529'	='52*-Explosion';

VALUE activity  
111		='111-Driving, operating automobile'
113		='113-Driving, operating truck'
114		='114-Driving, operating industrial/construction vehicle'
124		='124-Riding in, on industrial/construction vehicle'
129 	='129-Riding in, on not elsewhere classified'
132 	='132-Boarding, alighting truck'
133 	='133-Boarding, alighting industrial/construction vehicle'
140 	='140-Resurfacing, blacktopping, etc.'
150 	='150-Directing, flagging traffic'
162 	='162-Walking behind vehicle'
199 	='199-Vehicular and transportation operations, n.e.c.'
211		='211-Operating hydraulic equipment'
212 	='212-Operating crane'
215 	='215-Operating earth moving machinery'
216 	='216-Operating materials handling machinery'
219 	='219-Operating heavy equipment, n.e.c.'
229 	='229-Operating machinery, n.e.c.'
231 	='231-Using drill'
232 	='232-Using power saw (band saw, chain saw)'
239 	='239-Using power tool, n.e.c.'
241 	='241-Using wrench, hammer, screwdriver, etc.'
242 	='242-Using knife/saw'
244 	='244-Shoveling'
249 	='249-Using nonpowered handtool, n.e.c.'
250 	='250-Operating or reading gauges, valves, switches'
251 	='251-Turning gauges, valves, switches on/off'
252 	='252-Plugging or unplugging electrical equipment'
260		='260-Welding, cutting, brazing'
311 	='311-Constructing, assembling'
312 	='312-Installing'
313 	='313-Dismantling, removing'
321 	='321-Repairing'
322 	='322-Maintenance'
323 	='323-Adjusting'
324 	='324-Unjamming'
330 	='330-Inspecting or checking'
342 	='342-Sweeping, mopping'
343 	='343-Cleaning vat, tank, etc.'
344 	='344-Cleaning machines'
349 	='349-Cleaning, washing, n.e.c.'
362 	='362-Painting, not in a spray booth'
363 	='363-Applying other finishes, not in a spray booth'
510 	='510-Lifting materials'
520 	='520-Carrying materials'
530 	='530-Holding materials'
540 	='540-Loading, unloading (packing, unpacking) materials'
560		='560-Retrieving objects'
592 	='592-Digging'
594 	='594-Pushing, pulling'
599		='599-Handling materials, n.e.c.'
611		='611-611 Climbing, descending ladder'
613 	='613-Climbing, descending scaffolds'
615 	='615-Climbing, descending poles'
619 	='619-Climbing, descending, n.e.c.'
620 	='620-Entering, exiting (other than vehicle)'
631 	='631-Sitting'
632 	='632-Standing'
633 	='633-Walking'
634 	='634-Reaching'
635 	='635-Bending'
636 	='636-Running'
637 	='637-Jumping'
639 	='639-Body position, n.e.c.'
641 	='641-Swimming';

value location
10-13,19	='Residential home'
14			='Residential construction site'
21-23,29	='Farm buildings, land, etc.'
26			='Silo, grain bin'
31-39		='Mine and quarry'
40-46,48-49	='Industrial places and premises'
47			='Construction site'
50-59		=' Place for recreation and sport'
60-64,69	='Street and highway'
65			='Road construction'
70-79		='Public building'
80-89		='Residential institution'
90-91,94-98	='Other Places'
92-93		='Parking lot, garage';

value $industryr
'1521','1522' 		='General Building Contractors - residential'
'1541','1542'		='General Building Contractors - nonresidential'
'1611'		='Highway & Street Construction, Except Elevated Highways'
'1622' 		='Bridge, Tunnel, & Elevated Highway Construction'
'1623'		='Water, Sewer, Pipeline, & Communications & Power Line Construction'
'1629'		='Heavy Construction, n.e.c.'
'1711' 		='Plumbing, Heating & Air-Conditioning'
'1721'		='Painting & Paper Hanging'
'1731'		='Electrical Work'
'1741','1742','1743'		='Masonry, Stonework, Tile Setting, & Plastering'
'1751','1752'				='Carpentry & Floor Work'
'1761' 		='Roofing, Siding, & Sheet Metal Work'
'1771'		='Concrete Work'
'1781'		='Special Trade Contractors, n.e.c.'
'1791'		='Structural Steel Erection'
'1794'		='Excavation Work'
'1795'		='Special Trade Contractors, n.e.c.'
'1796'		='Special Trade Contractors, n.e.c.'
'1793','1799'		='Special Trade Contractors, n.e.c.'
'291','782','2099','2411','2435','2439','2621','2951','3271','3272','3273','3312','3441','3535',
'4212','4213','4222','4911','4939','4941','5013','5051','5093','5599','5812','6531',
'7011','7349','7353','7538','7699','7812','8062','8221','8222','8661','8711','8999',
'9221','9223','9621'	='Non-construction'
'9999'		='Nonclassifiable/Not Reported';

value $emstatus 
'1'='Wage-and-salary' 
'2'='Self-employed'
'3'='Other' 
'4'='Other'
'5'='Not Reported';

value $ownership 
'1'='Federal Government' 
'2','3'='State or Local Government'
'4'='Foreign Government'
'5'='Other Government' '6'='Private Ownership';

value $yesno 
'1'='Yes' 
'2'='No' 
'3'='Unknown/Not reported';

value months
1	='January'
2	='February'
3	='March'
4	='April'
5	='May'
6	='June'
7	='July'
8	='August'
9	='September'
10	='October'
11	='November'
12	='December';

value recnew
0 = 'Not recommended'
1-high = 'Recommended';

value PFAS
1 =	'Present and in use'
2 =	'Present but not in use'
3 =	'Not present'
4 =	'Unknown';

run;
